代码拉取完成,页面将自动刷新
#!/bin/bash
cd "$(dirname "$0")"
die() {
echo >&2 $1
exit 1
}
usage() {
echo -e >&2 "Usage: $0 deb output"
exit 2
}
extract() {
local deb=$1
local out=$2
if [ ! -d "$out" ]; then
mkdir $out
fi
local tmp=`mktemp -d`
dpkg -x $deb $tmp || die "dpkg failed"
cp -P $tmp/lib/*/* $out 2>/dev/null || cp -P $tmp/lib32/* $out 2>/dev/null \
|| cp -P $tmp/usr/lib/debug/lib/*/* $out 2>/dev/null || cp -P $tmp/usr/lib/debug/lib32/* $out 2>/dev/null \
|| die "Failed to save. Check it manually $tmp"
rm -rf $tmp
}
if [[ $# -ne 2 ]]; then
usage
fi
extract "$1" "$2"
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。